import { WebflowClient } from "@blade-and-brawn/commerce";
import { env } from "../util";

const webflow = new WebflowClient({
    siteId: env.WEBFLOW_SITE_ID,
    collectionIds: {
        products: env.WEBFLOW_COLLECTION_PRODUCTS_ID,
        skus: env.WEBFLOW_COLLECTION_SKUS_ID
    },
    token: env.WEBFLOW_AUTH,
    webhookSecret: env.WEBFLOW_WEBHOOK_SECRET,
});

const collections = await webflow.Collections.list();
console.log(collections);
